the-benchmarker / web-frameworks

Which is the fastest web framework?
MIT License
6.92k stars 643 forks source link

Dependency Dashboard #4578

Open renovate[bot] opened 2 years ago

renovate[bot] commented 2 years ago

This issue lists Renovate updates and detected dependencies. Read the Dependency Dashboard docs to learn more.

[!WARNING] These dependencies are deprecated:

Datasource Name Replacement PR?
npm @chubbyts/chubbyts-uwebsockets-http-bridge Unavailable
npm muneem Unavailable

Open

These updates have all been created already. Click a checkbox below to force a retry/rebase of any.

Ignored or Blocked

These are blocked by an existing closed PR and will not be recreated unless you click a checkbox below.

Detected dependencies

bundler
Gemfile
ruby/agoo/Gemfile - `agoo '~> 2.15.0'`
ruby/camping/Gemfile - `camping '~> 3.2.0'`
ruby/cuba/Gemfile - `cuba '~> 4.0.0'`
ruby/grape/Gemfile - `grape '~> 2.1.0'`
ruby/hanami-api/Gemfile - `hanami-api '~> 0.3.0'`
ruby/hanami/Gemfile - `hanami '~> 2.1.0'` - `hanami-router '~> 2.1.0'`
ruby/rack-routing/Gemfile - `rack-routing '~> 0.0.12'`
ruby/rack_app/Gemfile - `rack-app '~> 11.0.0'`
ruby/rage/Gemfile - `rage-rb '~> 1.5.0'`
ruby/rails-api/Gemfile - `rails '~> 7.1.0'` - `sqlite3 '< 2'`
ruby/rails/Gemfile - `rails '~> 7.1.0'` - `sqlite3 '< 2'`
ruby/roda/Gemfile - `roda '~> 3.81.0'`
ruby/sinatra/Gemfile - `sinatra '~> 4.0.0'`
ruby/syro/Gemfile - `syro '~> 3.2.0'`
cargo
rust/actix/Cargo.toml - `actix-web 4.4`
rust/axum/Cargo.toml - `axum 0.7` - `tokio 1`
rust/gotham/Cargo.toml - `gotham 0.7` - `serde 1.0`
rust/graphul/Cargo.toml - `graphul 1.0` - `tokio 1`
rust/iron/Cargo.toml - `iron 0.6` - `router 0.6`
rust/nickel/Cargo.toml - `nickel 0.11`
rust/ohkami/Cargo.toml - `ohkami 0.19` - `tokio 1`
rust/oxidy/Cargo.toml - `oxidy 0.5` - `tokio 1`
rust/poem/Cargo.toml - `poem 3.0` - `tokio 1`
rust/rocket/Cargo.toml - `rocket 0.5.0`
rust/salvo/Cargo.toml - `salvo 0.68` - `tokio 1`
rust/silent/Cargo.toml - `silent 1.0`
rust/summer-boot/Cargo.toml - `summer-boot 1.4`
rust/tide/Cargo.toml - `tide 0.16` - `async-std 1`
rust/viz/Cargo.toml - `viz 0.8` - `tokio 1`
rust/warp/Cargo.toml - `warp 0.3` - `tokio 1`
cocoapods
objc/criollo/Podfile - `Criollo ~> 1.0`
composer
php/antidot/composer.json - `antidot-fw/framework ~2.0`
php/aplus-app/composer.json - `aplus/framework ~23.0.0`
php/aplus-one/composer.json - `aplus/framework ~23.0.0`
php/bearframework/composer.json - `bearframework/bearframework ~1.14.0`
php/chubbyphp-roadrunner/composer.json - `chubbyphp/chubbyphp-framework ~5.1.0`
php/chubbyphp-swoole/composer.json - `chubbyphp/chubbyphp-framework ~5.1.0`
php/chubbyphp-workerman/composer.json - `chubbyphp/chubbyphp-framework ~5.1.0`
php/chubbyphp/composer.json - `chubbyphp/chubbyphp-framework ~5.1.0`
php/codeigniter4/composer.json - `codeigniter4/framework ~4.5.0`
php/comet/composer.json - `gotzmann/comet ~2.4.0`
php/coresky/composer.json - `php >7.0` - `energy/air ~0.508`
php/cubex-workerman/composer.json - `cubex/framework ~4.21.0`
php/cubex/composer.json - `cubex/framework ~4.21.0`
php/fastsitephp/composer.json - `fastsitephp/fastsitephp ~1.5.0`
php/fatfree/composer.json - `bcosca/fatfree ~3.8.0`
php/fomo/composer.json - `fomo/framework ~2.3.0`
php/framework-x/composer.json
php/hamlet/composer.json - `hamlet/hamlet-core ~3.4.0`
php/hyperf/composer.json - `hyperf/framework ~3.1.0`
php/ice/composer.json
php/imi-swoole/composer.json - `imiphp/imi ~2.1.0` - `imiphp/imi-swoole ~2.1.0`
php/imi-workerman/composer.json - `imiphp/imi ~2.1.0` - `imiphp/imi-workerman ~2.1.0`
php/kuiper/composer.json - `php ^8.1` - `kuiper/web ^0.8` - `kuiper/component-installer ^0.1`
php/laminas/composer.json - `laminas/laminas-mvc ~3.7.0`
php/laravel-s-laravel/composer.json - `hhxsv5/laravel-s ~3.8.0`
php/laravel-s-lumen/composer.json - `hhxsv5/laravel-s ~3.8.0`
php/laravel/.swoole/composer.json - `hhxsv5/laravel-s ~3.8.0` - `laravel/framework *`
php/laravel/composer.json - `laravel/framework ~11.11.0`
php/lemon/composer.json - `lemon_framework/lemon ~3.19.0`
php/lumen/.swoole/composer.json - `hhxsv5/laravel-s ~3.8.0` - `laravel/lumen-framework *`
php/lumen/composer.json - `laravel/lumen-framework ~11.0.0`
php/mark/composer.json - `mark-php/mark ~2.0.0`
php/mezzio/composer.json - `mezzio/mezzio ~3.19.0`
php/mixphp-swoole/composer.json - `mix/vega ~3.0.0`
php/mixphp-workerman/composer.json - `workerman/workerman ^4.0` - `mix/vega ~3.0.0`
php/mixphp/.swoole/composer.json - `mix/vega ~3.0.0`
php/mixphp/.workerman/composer.json - `workerman/workerman ^4.0` - `mix/vega ~3.0.0`
php/mixphp/composer.json - `mix/vega ~3.0.0`
php/nano/composer.json - `laylatichy/nano ~5.0.0`
php/nette/composer.json - `nette/application ~3.2.0`
php/one-fpm/composer.json - `lizhichao/one ~2.3.0`
php/phalcon/composer.json
php/simps/composer.json - `simple-swoole/simps ~1.0.0`
php/slim-roadrunner/composer.json - `slim/slim ~4.14.0`
php/slim-swoole/composer.json - `slim/slim ~4.14.0`
php/slim/composer.json - `slim/slim ~4.14.0`
php/spiral/composer.json - `php >=8.1` - `spiral/framework ~3.7`
php/sunrise-router-annotations/composer.json - `sunrise/http-router ~2.16.0`
php/sunrise-router-roadrunner/composer.json - `sunrise/http-router ~2.16.0`
php/sunrise-router/composer.json - `sunrise/http-router ~2.16.0`
php/sw-fw-less/composer.json
php/swoft/composer.json - `swoft/framework ~2.0.0`
php/swoole-coroutine/composer.json
php/swoole/composer.json
php/symfony/composer.json - `symfony/framework-bundle ~7.0.0`
php/ubiquity/composer.json - `phpmv/ubiquity ~2.5.0`
php/unic/composer.json - `php >=7.4` - `unicframework/framework ~1.0.0`
php/webman/composer.json - `php >=7.2` - `workerman/webman-framework ~1.5.0` - `monolog/monolog ~2.0`
php/workerman/composer.json - `workerman/workerman ~4.1.0`
php/yii-swoole/composer.json - `php >=5.6.0` - `yiisoft/yii2 ~2.0.14` - `swoole-foundation/yii2-swoole-extension ~1`
php/yii/composer.json - `php >=5.6.0` - `yiisoft/yii2 ~2.0.14`
cpanfile
perl/dancer2/cpanfile
perl/kossy/cpanfile
deps-edn
clojure/coast/deps.edn - `coast-framework/coast 0.1.0-SNAPSHOT` - `org.clojure/clojure 1.11.3` - `olical/depot 2.3.0` - `uberdeps/uberdeps 1.3.0`
clojure/yada/deps.edn - `yada/lean 1.2.16` - `aleph/aleph 0.8.1` - `org.clojure/clojure 1.11.3` - `olical/depot 2.3.0` - `uberdeps/uberdeps 1.3.0`
dockerfile
c/Dockerfile - `debian bullseye` - `debian bullseye`
clojure/Dockerfile - `eclipse-temurin 21.0.3_9-jre`
cpp/Dockerfile - `debian bookworm` - `debian bookworm`
crystal/Dockerfile - `crystallang/crystal 1.12`
csharp/Dockerfile - `mcr.microsoft.com/dotnet/sdk 8.0` - `mcr.microsoft.com/dotnet/aspnet 8.0`
d/Dockerfile - `ubuntu 24.04` - `ubuntu 24.04`
dart/Dockerfile - `dart 3.4`
elixir/Dockerfile
fsharp/Dockerfile - `mcr.microsoft.com/dotnet/sdk 8.0-bookworm-slim` - `mcr.microsoft.com/dotnet/aspnet 8.0-bookworm-slim`
go/Dockerfile - `golang 1.22` - `debian stable`
haskell/Dockerfile - `haskell 9.8-slim`
java/Dockerfile - `maven 3-eclipse-temurin-21` - `eclipse-temurin 21.0.3_9-jre`
javascript/bun.Dockerfile - `oven/bun 1.1-slim`
javascript/deno.Dockerfile
javascript/node.Dockerfile - `node 20-slim`
julia/Dockerfile - `julia 1.10`
kotlin/Dockerfile - `eclipse-temurin 21.0.3_9-jre-jammy`
lua/Dockerfile
nim/Dockerfile - `nimlang/nim 2.0.6` - `debian stable`
perl/Dockerfile - `perl 5.40-slim`
php/Dockerfile - `php 8.3-fpm`
python/Dockerfile - `python 3.12-slim`
r/Dockerfile - `rocker/r-ver 4.4.1`
ruby/Dockerfile - `ruby 3.3-slim`
rust/Dockerfile - `rust 1.79-slim`
scala/Dockerfile - `eclipse-temurin 21.0.3_9-jre-jammy`
swift/Dockerfile - `swift 5.10` - `swift 5.10-slim`
v/Dockerfile
github-actions
.github/workflows/ci.yml - `actions/checkout v4` - `trilom/file-changes-action v1.2.4` - `ruby/setup-ruby v1` - `actions/checkout v4` - `actions/setup-ruby v1` - `ubuntu 22.04`
gomod
go/aero/go.mod - `github.com/aerogo/aero v1.3.59`
go/air/go.mod - `github.com/aofei/air v0.22.0`
go/apirouter/go.mod
go/atreugo/go.mod - `github.com/savsgio/atreugo/v11 v11.13.1`
go/aurora/go.mod - `gitee.com/aurora-engine/aurora v1.3.14`
go/beego/go.mod - `github.com/beego/beego/v2 v2.2.1`
go/bunrouter/go.mod - `github.com/uptrace/bunrouter v1.0.21`
go/chi/go.mod - `github.com/go-chi/chi/v5 v5.0.14`
go/clevergo/go.mod - `clevergo.tech/clevergo v0.6.0`
go/echo/go.mod - `github.com/labstack/echo/v4 v4.12.0`
go/fasthttp/go.mod - `github.com/valyala/fasthttp v1.55.0`
go/fiber/go.mod - `github.com/gofiber/fiber/v2 v2.52.4`
go/flamego/go.mod - `github.com/flamego/flamego v1.9.4`
go/gearbox/go.mod - `github.com/gogearbox/gearbox v1.2.4`
go/gin/go.mod - `github.com/gin-gonic/gin v1.10.0`
go/goframe/go.mod - `github.com/gogf/gf/v2 v2.7.1`
go/gorilla-mux/go.mod - `github.com/gorilla/context v1.1.2` - `github.com/gorilla/mux v1.8.1`
go/goroute/go.mod - `github.com/goroute/route v0.0.2`
go/gorouter-fasthttp/go.mod - `github.com/valyala/fasthttp v1.55.0` - `github.com/vardius/gorouter/v4 v4.5.1`
go/gorouter/go.mod - `github.com/vardius/gorouter/v4 v4.5.1`
go/goyave/go.mod - `goyave.dev/goyave/v5 v5.1.0`
go/gramework/go.mod - `github.com/gramework/gramework v1.8.0`
go/hertz/go.mod - `github.com/cloudwego/hertz v0.9.1`
go/httprouter/go.mod - `github.com/julienschmidt/httprouter v1.3.0`
go/kami/go.mod - `github.com/guregu/kami v2.2.1+incompatible`
go/macaron/go.mod - `gopkg.in/macaron.v1 v1.5.0`
go/mars/go.mod - `github.com/roblillack/mars v1.1.0`
go/nanomux/go.mod - `github.com/shohruhadham/nanomux v0.0.0-20220326193150-fc7db4f157b1@fc7db4f157b1`
go/r2/go.mod - `github.com/aofei/r2 v0.3.3`
go/router/go.mod - `github.com/fasthttp/router v1.5.1`
go/rte/go.mod - `github.com/jwilner/rte v0.0.2`
go/stgin/go.mod - `github.com/AminMal/stgin v1.1.1`
go/tango/go.mod - `gitea.com/lunny/tango v0.6.6`
go/violetear/go.mod - `github.com/nbari/violetear 7.0.0`
go/web/go.mod
go/webgo/go.mod - `github.com/bnkamalesh/webgo/v7 v7.0.1`
gradle
java/micronaut/gradle.properties
java/micronaut/settings.gradle.kts
java/micronaut/build.gradle.kts
kotlin/hexagon-jetty/settings.gradle
kotlin/hexagon-jetty/build.gradle - `org.jetbrains.kotlin.jvm 2.0.+` - `com.hexagonkt:http_server_jetty 3.6.0`
kotlin/hexagon-netty/settings.gradle
kotlin/hexagon-netty/build.gradle - `org.jetbrains.kotlin.jvm 2.0.+` - `com.hexagonkt:http_server_netty 3.6.0`
kotlin/hexagon-netty-epoll/settings.gradle
kotlin/hexagon-netty-epoll/build.gradle - `org.jetbrains.kotlin.jvm 2.0.+` - `com.hexagonkt:http_server_netty_epoll 3.6.0` - `io.netty:netty-transport-native-epoll 4.1.+`
kotlin/http4k/settings.gradle
kotlin/http4k/build.gradle - `org.jetbrains.kotlin.jvm 2.0.+` - `com.github.johnrengelman.shadow +` - `org.jetbrains.kotlin:kotlin-stdlib 2.0.+` - `org.http4k:http4k-bom 5.23.+`
kotlin/jooby/settings.gradle
kotlin/jooby/build.gradle - `org.jetbrains.kotlin.jvm 2.0.+` - `com.github.johnrengelman.shadow +` - `io.jooby:jooby-netty 3.2.+` - `io.jooby:jooby-kotlin 3.2.+`
kotlin/ktor/gradle.properties - `org.jetbrains.kotlin:kotlin-test-junit 2.0.+`
kotlin/ktor/settings.gradle.kts
kotlin/ktor/build.gradle.kts - `org.jetbrains.kotlin.jvm 2.0.+` - `io.ktor.plugin 2.3.+`
leiningen
clojure/donkey/project.clj - `org.clojure:clojure 1.11.3` - `com.appsflyer:donkey 0.5.2`
clojure/luminus/project.clj - `luminus:lein-template 4.51` - `ch.qos.logback:logback-classic 1.5.6` - `cheshire:cheshire 5.13.0` - `clojure.java-time:clojure.java-time 1.4.2` - `cprop:cprop 0.1.20` - `expound:expound 0.9.0` - `funcool:struct 1.4.0` - `luminus-jetty:luminus-jetty 0.2.3` - `luminus-transit:luminus-transit 0.1.6` - `luminus:ring-ttl-session 0.3.3` - `markdown-clj:markdown-clj 1.12.1` - `metosin:muuntaja 0.6.10` - `metosin:reitit 0.7.0` - `metosin:ring-http-response 0.9.3` - `mount:mount 0.1.18` - `nrepl:nrepl 1.2.0` - `org.clojure:clojure 1.11.3` - `org.clojure:tools.cli 1.1.230` - `org.clojure:tools.logging 1.3.0` - `org.webjars.npm:bulma 1.0.1` - `org.webjars.npm:material-icons 1.13.2` - `org.webjars:webjars-locator 0.52` - `ring-webjars:ring-webjars 0.2.0` - `ring:ring-core 1.12.2` - `ring:ring-defaults 0.5.0` - `com.fasterxml.jackson.core:jackson-core 2.17.1` - `pjstadig:humane-test-output 0.11.0` - `prone:prone 2021-04-23` - `ring:ring-devel 1.12.2` - `ring:ring-mock 0.4.0` - `com.jakemccrary:lein-test-refresh 0.25.0` - `jonase:eastwood 1.4.2`
clojure/pedestal/project.clj - `org.clojure:clojure 1.11.3` - `io.pedestal:pedestal.service 0.6.4` - `io.pedestal:pedestal.jetty 0.6.4`
maven
java/act/pom.xml - `org.actframework:act-starter-parent [1.9,1.10)`
java/activej/pom.xml - `io.activej:activej-launchers-http [5.5,5.6)` - `ch.qos.logback:logback-classic 1.5.6`
java/armeria/pom.xml - `org.apache.maven.plugins:maven-shade-plugin 3.6.0` - `com.linecorp.armeria:armeria [1.29,1.30)` - `org.slf4j:slf4j-api [1.7,)` - `org.slf4j:slf4j-nop [1.7,)`
java/blade/pom.xml - `com.hellokaton:blade-core [2.1,2.2)`
java/helidon-se/pom.xml - `io.helidon.applications:helidon-se [4.0,4.1)`
java/javalin/pom.xml - `io.javalin:javalin [6.1,6.2)` - `org.slf4j:slf4j-simple [2.0,3.0)` - `org.apache.maven.plugins:maven-compiler-plugin 3.13.0`
java/jersey-grizzly2/pom.xml - `org.glassfish.jersey.containers:jersey-container-grizzly2-http [2.43,2.44)` - `org.glassfish.jersey.inject:jersey-hk2 [2.43,2.44)` - `org.apache.maven.plugins:maven-compiler-plugin 3.13.0` - `org.codehaus.mojo:exec-maven-plugin 3.3.0` - `org.apache.maven.plugins:maven-assembly-plugin 3.7.1` - `org.apache.maven.plugins:maven-dependency-plugin 3.7.1`
java/jersey3-grizzly2/pom.xml - `org.glassfish.jersey.containers:jersey-container-grizzly2-http [3.1,3.2)` - `org.glassfish.jersey.inject:jersey-hk2 [3.1,3.2)` - `org.apache.maven.plugins:maven-compiler-plugin 3.13.0` - `org.codehaus.mojo:exec-maven-plugin 3.3.0` - `org.apache.maven.plugins:maven-assembly-plugin 3.7.1`
java/jooby/pom.xml - `io.jooby:jooby-netty [3.2.0,3.3.0)` - `org.apache.maven.plugins:maven-shade-plugin 3.6.0`
java/light-4j/pom.xml - `com.networknt:config [2.1,2.2)` - `com.networknt:utility [2.1,2.2)` - `com.networknt:security [2.1,2.2)` - `com.networknt:client [2.1,2.2)` - `com.networknt:audit [2.1,2.2)` - `com.networknt:info [2.1,2.2)` - `com.networknt:health [2.1,2.2)` - `com.networknt:status [2.1,2.2)` - `com.networknt:exception [2.1,2.2)` - `com.networknt:body [2.1,2.2)` - `com.networknt:dump [2.1,2.2)` - `com.networknt:mask [2.1,2.2)` - `com.networknt:metrics [2.1,2.2)` - `com.networknt:handler [2.1,2.2)` - `com.networknt:sanitizer [2.1,2.2)` - `com.networknt:traceability [2.1,2.2)` - `com.networknt:correlation [2.1,2.2)` - `com.networknt:service [2.1,2.2)` - `com.networknt:registry [2.1,2.2)` - `com.networknt:balance [2.1,2.2)` - `com.networknt:cluster [2.1,2.2)` - `com.networknt:consul [2.1,2.2)` - `com.networknt:decryptor [2.1,2.2)` - `com.networknt:server [2.1,2.2)` - `com.networknt:json-schema-validator [1.0,)` - `com.networknt:openapi-parser [2.1,2.2)` - `com.networknt:openapi-meta [2.1,2.2)` - `com.networknt:openapi-security [2.1,2.2)` - `com.networknt:openapi-validator [2.1,2.2)` - `com.networknt:specification [2.1,2.2)` - `com.fasterxml.jackson.core:jackson-databind [1.0,)` - `com.fasterxml.jackson.core:jackson-annotations [1.0,)` - `com.fasterxml.jackson.core:jackson-core [1.0,)` - `io.undertow:undertow-core 2.3.14.Final` - `io.github.lukehutch:fast-classpath-scanner [1.0,)`
java/quarkus/pom.xml - `io.quarkus:quarkus-universe-bom 3.11.3` - `io.quarkus.platform:quarkus-maven-plugin 3.11.3` - `org.apache.maven.plugins:maven-compiler-plugin 3.13.0`
java/rapidoid/pom.xml - `org.rapidoid:rapidoid-web [5.5,5.6)`
java/restheart/pom.xml - `org.restheart:restheart [8.0,8.1.0-SNAPSHOT)` - `org.apache.maven.plugins:maven-shade-plugin 3.6.0`
java/spark/pom.xml - `com.sparkjava:spark-core 2.9.4`
java/spring-webflux/pom.xml - `org.springframework.boot:spring-boot-starter-parent [3.3,3.4)`
java/spring/pom.xml - `org.springframework.boot:spring-boot-starter-parent [3.3,3.4)`
java/struts2/pom.xml - `org.apache.struts:struts2-core [6.4,6.5)` - `org.eclipse.jetty:jetty-server 9.4.54.v20240208` - `org.eclipse.jetty:jetty-servlet 9.4.54.v20240208` - `org.eclipse.jetty:jetty-webapp 9.4.54.v20240208` - `org.eclipse.jetty:jetty-jsp 9.2.30.v20200428` - `org.glassfish:javax.el 3.0.1-b12` - `org.apache.maven.plugins:maven-jar-plugin 3.4.2`
java/undertow/pom.xml - `io.undertow:undertow-core [2.3,2.4)`
java/vertx/pom.xml - `io.vertx:vertx-stack-depchain 4.5.8` - `io.reactiverse:vertx-maven-plugin 1.0.29`
java/vertx4web/pom.xml - `io.vertx:vertx-stack-depchain 4.5.8` - `io.reactiverse:vertx-maven-plugin 1.0.29` - `io.vertx:vertx-web 4.5.8`
mix
elixir/phoenix_bandit/mix.exs - `phoenix ~> 1.7.11` - `bandit ~> 1.5.0` - `jason ~> 1.4`
elixir/phoenix_cowboy/mix.exs - `phoenix ~> 1.7.11` - `jason ~> 1.4` - `plug_cowboy ~> 2.7.0`
elixir/plug_cowboy/mix.exs - `plug ~> 1.16.0` - `plug_cowboy ~> 2.7.0`
npm
javascript/0http-bun/package.json - `0http-bun ~1.0.0`
javascript/0http/package.json - `0http ~3.5.0`
javascript/adonisjs6-http/package.json - `@adonisjs/application ^8.0.4` - `@adonisjs/encryption ^6.0.1` - `@adonisjs/events ^9.0.1` - `@adonisjs/http-server ^7.0.3` - `@adonisjs/logger ^6.0.1`
javascript/adonisjs6-slim/package.json - `@adonisjs/core ^6.2.2` - `reflect-metadata ^0.2.1` - `@adonisjs/assembler ^7.1.1` - `@adonisjs/eslint-config ^1.2.1` - `@adonisjs/prettier-config ^1.2.1` - `@adonisjs/tsconfig ^1.2.1` - `@japa/assert ^3.0.0` - `@japa/plugin-adonisjs ^3.0.0` - `@japa/runner ^3.1.1` - `@swc/core ^1.3.107` - `@types/node ^20.11.10` - `eslint ^9.0.0` - `pino-pretty ^11.0.0` - `prettier ^3.2.4` - `ts-node ^10.9.2` - `typescript ^5.3.3`
javascript/blaze-bun/package.json - `@busy-hour/blaze ~3.2.0`
javascript/blaze-node/package.json - `@busy-hour/blaze ~3.2.0` - `@hono/node-server *`
javascript/bunicorn/package.json - `@bunicorn/server ~0.0.7`
javascript/chubbyts-uwebsockets/package.json - `@chubbyts/chubbyts-framework ~1.9.0` - `@chubbyts/chubbyts-framework-router-path-to-regexp *` - `@chubbyts/chubbyts-http *` - `@chubbyts/chubbyts-uwebsockets-http-bridge *` - `@types/node 20`
javascript/chubbyts/package.json - `@chubbyts/chubbyts-framework ~1.9.0` - `@chubbyts/chubbyts-framework-router-path-to-regexp *` - `@chubbyts/chubbyts-http *` - `@types/node 20`
javascript/ditsmod/package.json - `@ditsmod/body-parser ~2.13.1` - `@ditsmod/core ~2.52.0` - `@ditsmod/routing ~2.2.0` - `@types/node ^20.6.1` - `typescript ^5.2.2`
javascript/elysia/package.json - `elysia ~1.0.0`
javascript/express/package.json - `express ~4.19.0`
javascript/fastify/package.json - `fastify ~4.28.0`
javascript/feathersjs/package.json - `@feathersjs/express *` - `@feathersjs/feathers ~5.0.0`
javascript/foxify/package.json - `foxify ~0.10.20`
javascript/fyrejet/package.json - `fyrejet ~4.0.0`
javascript/h3/package.json - `h3 ~1.12.0`
javascript/hapi/package.json - `@hapi/hapi ~21.3.0`
javascript/happyx/package.json - `happyx ~1.1.1`
javascript/hono-bun/package.json - `hono ~4.4.0`
javascript/hono-deno/package.json - `hono ~4.4.0`
javascript/hono/package.json - `@hono/node-server *` - `hono ~4.4.0`
javascript/hyper-express/package.json - `hyper-express ~6.16.0`
javascript/iotjs-express/package.json - `iotjs-express ~0.0.13`
javascript/koa/package.json - `koa ~2.15.0` - `koa-router *`
javascript/low-http-server/package.json - `low-http-server ~4.2.0` - `0http ~3.5.0`
javascript/mesh/package.json - `@ionited/mesh ~0.6.0`
javascript/moleculer/package.json - `moleculer ~0.14.1` - `moleculer-web *`
javascript/muneem/package.json - `muneem ~2.4.5`
javascript/nestjs-express/package.json - `@nestjs/common ~10.3.0` - `@nestjs/core ~10.3.0` - `@nestjs/platform-express ~10.3.0` - `rxjs *` - `@types/node *`
javascript/nestjs-fastify/package.json - `@nestjs/common ~10.3.0` - `@nestjs/core ~10.3.0` - `@nestjs/platform-fastify ~10.3.0` - `rxjs *` - `@types/node *`
javascript/nhttp/package.json - `nhttp-land ~1.3.0`
javascript/polka/package.json - `polka ~0.5.2`
javascript/polkadot/package.json - `polkadot ~1.0.0`
javascript/pxe/package.json - `@pxe/server ~1.0`
javascript/rayo/package.json - `rayo ~1.4.0`
javascript/restana/package.json - `restana ~4.9.0`
javascript/restify/package.json - `restify ~11.1.0`
javascript/routejs-uwebsocket/package.json - `@routejs/router ~3.0.0`
javascript/routejs/package.json - `@routejs/router ~3.0.0`
javascript/sails/package.json - `sails ~1.5.0`
javascript/sifrr/package.json - `@sifrr/server ~0.0.6` - `graphql *`
javascript/spliffy/package.json - `@srfnstack/spliffy ~1.2.1`
javascript/stricjs/package.json - `@stricjs/router ~5.0.0`
javascript/tinyhttp/package.json - `@tinyhttp/app ~2.2.0`
javascript/turbo_polka/package.json - `polka ~0.5.2` - `turbo-http ~0.3.2`
javascript/uwebsockets/package.json
javascript/yume-server/package.json - `yume-server ~0.0.4`
nuget
csharp/carter/web.csproj
csharp/fastendpoints/web.csproj
csharp/simplify.web/web.csproj
fsharp/falco/web.fsproj
fsharp/frank/web.fsproj
fsharp/giraffe-endpoints/web.fsproj
fsharp/giraffe/web.fsproj
fsharp/saturn/web.fsproj
fsharp/suave/web.fsproj
fsharp/websharper/web.fsproj
pep621
python/aiohttp/pyproject.toml - `aiohttp >=3.9,<3.10`
python/apidaora/pyproject.toml - `apidaora >=0.28,<0.29`
python/asgineer/pyproject.toml - `asgineer >=0.8,<0.9`
python/baize-asgi/pyproject.toml - `baize >=0.20,<0.21`
python/baize-wsgi/pyproject.toml - `baize >=0.20,<0.21`
python/blacksheep/pyproject.toml - `blacksheep >=2.0,<2.1`
python/bottle/pyproject.toml - `bottle >=0.12,<0.13`
python/cherrypy/pyproject.toml - `cherrypy >=18.10,<18.11`
python/clastic/pyproject.toml - `clastic >=24,<24.1`
python/django-ninja/pyproject.toml - `django-ninja >=1.1,<1.2`
python/django/pyproject.toml - `django >=5,<5.1` - `flit_core >=3.2,<4`
python/emmett/pyproject.toml - `emmett >=2.5,<2.6`
python/falcon/pyproject.toml - `falcon >=3.1,<3.2`
python/fastapi/pyproject.toml - `fastapi >=0.111,<0.112`
python/flask/pyproject.toml - `Flask >=3,<3.1`
python/guillotina/pyproject.toml - `guillotina >=7,<7.1` - `zope.interface <6.0`
python/happyx/pyproject.toml - `happyx >=3.8,<3.9`
python/hug/pyproject.toml - `hug >=2.6,<2.7`
python/index.py/pyproject.toml - `index.py >=0.21,<0.22`
python/klein/pyproject.toml - `klein >=23.12,<23.13`
python/litestar/pyproject.toml - `litestar >=2.9,<2.10`
python/masonite/pyproject.toml - `masonite >=4.20,<4.21`
python/molten/pyproject.toml - `molten >=1.0,<1.1`
python/nameko/pyproject.toml - `nameko >=2.14,<2.15`
python/pyramid/pyproject.toml - `pyramid >=2.0,<2.1`
python/quart/pyproject.toml - `quart >=0.19,<0.20`
python/robyn/pyproject.toml - `robyn >=0.56,<0.57`
python/routerling/pyproject.toml - `routerling >=0.5,<0.6`
python/sanic/pyproject.toml - `sanic >=23.12,<23.13`
python/starlette/pyproject.toml - `starlette >=0.37,<0.38`
python/tonberry/pyproject.toml - `Tonberry >=0.2,<0.33`
python/tornado/pyproject.toml - `tornado >=6.4,<6.5`
pub
dart/shelf/pubspec.yaml - `shelf >=1.4.1 <1.5.0` - `dart >=3.4.0 <3.5.0`
dart/spry/pubspec.yaml - `spry ^3.2.0` - `dart >=3.4.0 <3.5.0`
sbt
scala/akkahttp/build.sbt - `scala 3.4.2` - `com.typesafe.akka:akka-http 10.5.2` - `com.typesafe.akka:akka-stream [2.7,2.8)`
scala/akkahttp/project/assembly.sbt - `com.eed3si9n:sbt-assembly latest.integration`
scala/akkahttp/project/plugins.sbt - `com.github.sbt:sbt-native-packager latest.integration`
scala/finatra/build.sbt - `scala 2.13.14` - `com.twitter:finatra-http-server [24.2,24.3)`
scala/finatra/project/plugins.sbt - `com.github.sbt:sbt-native-packager latest.integration`
scala/http4s/build.sbt - `scala 3.4.2` - `org.http4s:http4s-blaze-server [0.23,0.24)` - `org.http4s:http4s-dsl [0.23,0.24)`
scala/http4s/project/plugins.sbt - `com.github.sbt:sbt-native-packager latest.integration`
scala/play/build.sbt - `scala 3.4.2`
scala/play/project/plugins.sbt - `org.playframework:sbt-plugin [3.0,3.1)`
scala/zio-http/build.sbt - `scala 3.4.2` - `dev.zio:zio-http 3.0.0-RC8`
scala/zio-http/project/plugins.sbt - `com.github.sbt:sbt-native-packager latest.integration`
swift
swift/hummingbird-framework/Package.swift - `hummingbird-project/hummingbird from: "1.0.0"`
swift/kitura/Package.swift - `Kitura/Kitura from: "3.0.1"`
swift/swifter-framework/Package.swift - `httpswift/swifter from: "1.5.0"`
swift/vapor-framework/Package.swift - `vapor/vapor from: "4.101.0"`

whiplash commented 1 year ago

This should be easy to fix. I'll give it a go.